#include <bits/stdc++.h>

using namespace std;

string c;
int a1,a2;
char rezultat[50001];
char c1,c2;
int main (){
    cin>>c;
    c1=c[0];
    c2=c[1];
    cin>>a1>>a2;
    if(abs(a1-a2)>1){
        cout<<"nemoguce"<<endl;
        return 0;
    }
    else if (a1>=a2){
        for(int i=0;i<a1+a2;i+=2){
            rezultat[i]=c1;
        }
        for(int i=1;i<a1+a2;i+=2){
            rezultat[i]=c2;
        }
    }
    else{
        for(int i=0;i<a1+a2;i+=2){
            rezultat[i]=c2;
        }
        for(int i=1;i<a1+a2;i+=2){
            rezultat[i]=c1;
        }
    }
    cout<<rezultat<<endl;
    return 0;

}